| gtk-0.11.2: Binding to the Gtk+ graphical user interface library. | Contents | Index
Graphics.UI.Gtk.ActionMenuToolbar.ToggleAction |
Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Contents
Detail Class Hierarchy Types Constructors Methods Attributes Signals Deprecated
Description
An action which can be toggled between two states Module available since Gtk+ version 2.4
Synopsis
data ToggleAction
class ActionClass o => ToggleActionClass o
castToToggleAction :: GObjectClass obj => obj -> ToggleAction
gTypeToggleAction :: GType
toToggleAction :: ToggleActionClass o => o -> ToggleAction
toggleActionNew :: String -> String -> Maybe String -> Maybe StockId -> IO ToggleAction
toggleActionToggled :: ToggleActionClass self => self -> IO ()
toggleActionSetActive :: ToggleActionClass self => self -> Bool -> IO ()
toggleActionGetActive :: ToggleActionClass self => self -> IO Bool
toggleActionSetDrawAsRadio :: ToggleActionClass self => self -> Bool -> IO ()
toggleActionGetDrawAsRadio :: ToggleActionClass self => self -> IO Bool
toggleActionDrawAsRadio :: ToggleActionClass self => Attr self Bool
toggleActionActive :: ToggleActionClass self => Attr self Bool
actionToggled :: ToggleActionClass self => Signal self (IO ())
onActionToggled :: ToggleActionClass self => self -> IO () -> IO (ConnectId self)
afterActionToggled :: ToggleActionClass self => self -> IO () -> IO (ConnectId self)
Detail
A `ToggleAction` corresponds roughly to a `CheckMenuItem`. It has an "active" state specifying whether the action has been checked or not.
Class Hierarchy
     | GObject
     | +----Action
     | +----ToggleAction
     | +----RadioAction
Types
data ToggleAction
Instances
Eq ToggleAction |
Ord ToggleAction |
GObjectClass ToggleAction |
ToggleActionClass ToggleAction |
ActionClass ToggleAction |
class ActionClass o => ToggleActionClass o
Instances
ToggleActionClass RadioAction |
ToggleActionClass ToggleAction |
castToToggleAction :: GObjectClass obj => obj -> ToggleAction
gTypeToggleAction :: GType
toToggleAction :: ToggleActionClass o => o -> ToggleAction
Constructors
toggleActionNew
:: String | `name` - A unique name for the action
-> String | `label` - The label displayed in menu items and on buttons
-> Maybe String | `tooltip` - A tooltip for the action
-> Maybe StockId | `stockId` - The stock icon to display in widgets representing the action
-> IO ToggleAction |
Creates a new `ToggleAction` object. To add the action to a `ActionGroup` and set the accelerator for the action, call Graphics.UI.Gtk.ActionMenuToolbar.ActionGroup.actionGroupAddActionWithAccel.
Methods
toggleActionToggled :: ToggleActionClass self => self -> IO ()
Emits the "toggled" signal on the toggle action.
toggleActionSetActive
:: ToggleActionClass self |
=> self |
-> Bool | `isActive` - whether the action should be checked or not
-> IO () |
Sets the checked state on the toggle action.
toggleActionGetActive :: ToggleActionClass self => self -> IO Bool
Returns the checked state of the toggle action.
toggleActionSetDrawAsRadio :: ToggleActionClass self => self -> Bool -> IO ()
Sets whether the action should have proxies like a radio action.
toggleActionGetDrawAsRadio :: ToggleActionClass self => self -> IO Bool
Returns whether the action should have proxies like a radio action.
Attributes
toggleActionDrawAsRadio :: ToggleActionClass self => Attr self Bool
Whether the proxies for this action look like radio action proxies. Default value: `False`
toggleActionActive :: ToggleActionClass self => Attr self Bool
If the toggle action should be active in or not. Default value: `False` Available since Gtk+ version 2.10
Signals
actionToggled :: ToggleActionClass self => Signal self (IO ())
Deprecated
onActionToggled :: ToggleActionClass self => self -> IO () -> IO (ConnectId self)
afterActionToggled :: ToggleActionClass self => self -> IO () -> IO (ConnectId self)
Produced by Haddock version 2.7.2